//
//  AppController.m
//
//  Copyright (c) 2001 Apple. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class MailTitles, MailContents, Preferences, MenuController, FSBrowser;

@interface AppController : NSObject {
    IBOutlet FSBrowser		*fsBrowser;
	IBOutlet MailTitles		*mailTitles;
	IBOutlet NSWindow		*mailTitleWindow;
	IBOutlet MailContents	*mailContents;
	IBOutlet Preferences	*preferences;
	IBOutlet NSWindow		*mailFolderWindow;
	IBOutlet NSScrollView	*mailTitleScrollView;
    IBOutlet MenuController *menuController;
}

// Force a reload of column zero and thus, all the data.
//- (IBAction)reloadData:(id)sender;

// Methods sent by the browser to us from theBrowser.
- (IBAction)browserSingleClick:(NSBrowser*)sender;
- (IBAction)browserDoubleClick:(id)sender;
- (void) terminate: (NSNotification *) notification;
- (void) browseInBox;

@end