//
//  FSBrowser.m
//  OME_BrowserXCoS
//
//  Created by Satoshi Takahashi on 05.12.25.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import "FSBrowser.h"
#import "MailTitles.h"
#import "Utils.h"


@implementation FSBrowser
- (void) doClick: (id)sender
{

	[super doClick: sender];
	[mailTitleWindow setTitle: [[self path] lastPathComponent]];
	[mailTitles loadTitleTable: (char *)[[self path] fileSystemRepresentation] refresh: YES];
	
	if (MinorSystemVersion() < 4)
		doubleClick = 0;
	if ([self selectedColumn] < [self lastVisibleColumn] && doubleClick!= 1)
		[self scrollColumnsRightBy: 1];
	doubleClick = 0;
	
}


- (void) doDoubleClick: (id)sender
{
	//[self sendAction];
	[super doDoubleClick: sender];
	if (MinorSystemVersion() >= 4)
		doubleClick = 1;
	else
		[self scrollColumnsLeftBy: 1];
}
@end
