#import <Cocoa/Cocoa.h>

@class MailTitles, BrowserTextView, KeyController, Coding;

@interface MailContents : NSObject
{
    IBOutlet NSTextView *textView;
	IBOutlet MailTitles *mailTitles;
	IBOutlet NSWindow *contentsWindow;
	IBOutlet NSScrollView *scrollView;
	IBOutlet KeyController *keyController;
	IBOutlet NSTableView *titleTable;

	NSString *currentPathString;
	BrowserTextView *browserTextView;

	IBOutlet NSTextView *hiddenText;
    IBOutlet Coding *coding;
	NSTimer *unreadUtilTimer;
}

- (void) registerAndReplaceTextView;
- (void) replaceTextView;

- (void) dealloc;

- (BrowserTextView *) browserTextView;

- (void) contentsAtPathString: (NSString *) pathString encode: (unsigned int)encode;

- (NSString *) currentPathString; /*used as outlet*/
- (void) setCurrentPathString: (NSString *) newPathString;

- (void) reloadContents: (NSNotification *) notification; /*notification*/

- (void) launchUnread: (NSTimer *) timer;
@end
