#import <Cocoa/Cocoa.h>

@interface MethodKey : NSObject
{
	NSString *characters;
	unsigned int modifierFlags;
}

- (MethodKey *) initWithCharacters: (NSString *) newCharacters
			modifierFlags: (unsigned int) newModifierFlags;
- (MethodKey *) initWithEvent: (NSEvent *) event;
- (MethodKey *) initWithArray: (NSArray *) array;
- (void) dealloc;
- (NSString *) characters;
- (unsigned int) modifierFlags;
- (void) setCharacters: (NSString *) newCharacters;
- (void) setModifierFlags: (unsigned int) newModifierFlags;
- (NSArray *) makeKey; /*Dictionary does not work for custom key ???*/
- (NSString *) shiftString;
- (NSString *) capsLockString;
- (NSString *) optionString;
- (NSString *) controlString;
- (NSString *) functionString;
- (NSString *) keyString;
@end
