/*
 *  Utils.h
 *  table
 *
 *  Created by takahasi on Fri Sep 21 2001.
 *  Copyright (c) 2001 __CompanyName__. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

extern char omeRootPath[1024];
extern char omeSettingPath[1024];
extern NSString *omeRootPathString;
int SetOMEPath(void);
int SetOMESettingPath(void);
char *C2Path(const char *cString);
NSString *Path2String(const char *path);
BOOL IsPathDirectory(const char *path);
NSString *Localize(NSString *word);

OSErr SFPath2Spec(const char *fullPath, FSSpec *fssP);
OSErr SFSpec2Path(FSSpec *fssP, char *fullPath, unsigned int maxLength);
OSErr SFResolveAliasPath(const char *sourcePath, char *destPath,
        unsigned int maxLength);
NSString *OMERelativePath(NSString *path);
int HeadStrCL(const char *keyword, const char *target);
void GetPathBase(const char *path, char *base);
OSErr SFCoSetTypeCreator(const char *path, OSType destType, OSType destCreator);

int MinorSystemVersion(void);
