#import "BrowserTextView.h"
#import "KeyController.h"

@implementation BrowserTextView

- (void) keyDown:(NSEvent *)event
{
	if (![keyController handleKeyDown: event])
		[super keyDown: event];
}


- (void) setKeyController:(KeyController *)newKeyController
{
	keyController = newKeyController;
}

- (IBAction) print:(id)sender
{
NSRange foundRange = [[self string] rangeOfString: @"<!-- Real Mail Headers -->"];

    if (foundRange.location == NSNotFound)
    {
        [hiddenText setString: [self string]];
    }
    else
    {
        [hiddenText setString: [[self string]
                substringWithRange: NSMakeRange(0, foundRange.location - 5)]];
    }
    [hiddenText print: self];
}

- (void) setHiddenText:(NSTextView *)newHiddenText
{
	hiddenText = newHiddenText;
}



@end
