#import <Cocoa/Cocoa.h>

@class MenuController;

@interface Preferences : NSObject
{
	IBOutlet NSTableView *keyTable;
	IBOutlet NSWindow *preferenceWindow;
	IBOutlet MenuController *menuController;
	BOOL downloadAtStartUp;
	BOOL repeatDownload;
	int downloadInterval;
	NSTimer *downloadTimer;
	IBOutlet NSButton *downloadAtStartUpSwitch;
    IBOutlet NSButton *repeatDownloadSwitch;
    IBOutlet NSTextField *downloadIntervalField;
    IBOutlet NSWindow *selectCommandWindow;
}

- (IBAction) preference: (NSMenuItem *) sender;
- (IBAction) preferenceDone: (NSButton *) sender;
- (void) loadPrefAndStartUpDownload;
- (void) repeatDownload: (NSTimer *) timer;
- (IBAction) switchDownloadAtStartUp: (NSButton *) sender;
- (IBAction) switchRepeatDownload: (NSButton *) sender;
- (void) startRepeatDownload;
- (IBAction) intervalChanged: (NSTextField *) sender;

@end
